Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0039934
TypeCategorySeverityReproducibilityDate SubmittedLast Update
backport[Retail Modules] Web POSmajorhave not tried2019-01-11 14:592019-03-01 14:42
ReporteraferrazView Statuspublic 
Assigned Toranjith_qualiantech_com 
PrioritynormalResolutionfixedFixed in Version
StatusclosedFix in branchFixed in SCM revision539fa2451519
ProjectionnoneETAnoneTarget VersionRR19Q1
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned Tojorge-garcia
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0039934: Ticket closed message in Log Client window should be created after preSyncReceipt process

DescriptionNow "Ticket closed" message is created in onClose process.

preSyncReceipt is run after onClose process and can modify order.

In that case, Ticket close message should include the order with this last modifications.
Steps To ReproduceReproduce 0039928 issue whith French Fiscla module installed.
Check a Log Client record with a "Ticket closed" message is created with the ticket not synchronized with the backend.
Check this record shows ticket json but it doesn't include the properties added in French Fiscal preSyncReceiptHookHook.
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
blocks defect 0039932 closedranjith_qualiantech_com Ticket closed message in Log Client window should be created after preSyncReceipt process 

-  Notes
(0109935)
hgbot (developer)
2019-02-19 12:50

Repository: retail/backports/3.0RR19Q1/org.openbravo.retail.posterminal
Changeset: 539fa2451519e3a8e2748350503e949ec98d5e26
Author: Ranjith S R <ranjith <at> qualiantech.com>
Date: Tue Feb 19 17:19:49 2019 +0530
URL: http://code.openbravo.com/retail/backports/3.0RR19Q1/org.openbravo.retail.posterminal/rev/539fa2451519e3a8e2748350503e949ec98d5e26 [^]

Fixed issue 39934 : Ticket Closed Message should be logged after PreSyncReceipt while closing the receipt

---
M web/org.openbravo.retail.posterminal/js/data/dataordersave.js
---
(0110154)
jorge-garcia (developer)
2019-03-01 14:42

Code reviewed and tested

- Issue History
Date Modified Username Field Change
2019-01-11 15:11 aferraz Type defect => backport
2019-01-11 15:11 aferraz Target Version => RR19Q1
2019-02-19 12:33 ranjith_qualiantech_com Assigned To Retail => ranjith_qualiantech_com
2019-02-19 12:50 hgbot Checkin
2019-02-19 12:50 hgbot Note Added: 0109935
2019-02-19 12:50 hgbot Status scheduled => resolved
2019-02-19 12:50 hgbot Resolution open => fixed
2019-02-19 12:50 hgbot Fixed in SCM revision => http://code.openbravo.com/retail/backports/3.0RR19Q1/org.openbravo.retail.posterminal/rev/539fa2451519e3a8e2748350503e949ec98d5e26 [^]
2019-03-01 14:42 jorge-garcia Review Assigned To => jorge-garcia
2019-03-01 14:42 jorge-garcia Note Added: 0110154
2019-03-01 14:42 jorge-garcia Status resolved => closed


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker